Subject: Re: How to set git commit timestamp

From: Jakub Narebski <[email-masked]>
Date: Tue, 08 May 2007 03:54:38 +0200

Shawn O. Pearce wrote:
> Robin Rosenberg <[email-masked]> wrote:
>> söndag 06 maj 2007 skrev Guido Ostkamp:

>>> I am writing a tool to convert from another SCM to git and need to replay 
>>> all checkins. I know how to set the log message and the author, but there 
>>> appears to be no command option for the timestamp (Mercurial for example, 
>>> has a 'hg commit -d date <file>' syntax for this).
>> 
>> If you are writing a converter then you should really use the plumbing 
>> commands rather than porcelains like git-commit and in particular you should 
>> look at git-fast-import for a  really fast methord of importing (and packing) 
>> objects.
> 
> As the author of a few convert-to-git things, fast-import really
> is the easiest way to import stuff into git, even if it doesn't
> need to be "fast".  The input format is quite simple to create,
> and is documented pretty heavily in the git-fast-import manual page.
> 
> There's also contrib/fast-import/import-tars.pl which handles
> decompressing and importing one or more tar files into a Git
> repository.  Works pretty well...

By the way, is there fast-import version of git-quiltimport?

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git